/**
 * \file types-and-constants.hh
 * \author Scott F. H. Kaplan <sfkaplan@cs.amherst.edu>
 * \date February 2004
 * \brief New types and global constants used across modules.
 **/



// ==================================================================
#if !defined (_TYPES_AND_CONSTANTS_HH)
#define _TYPES_AND_CONSTANTS_HH
// ==================================================================



// ==================================================================
// TYPES

/** \brief A type for the virtual page number. **/
typedef unsigned int page_number_t;
// ==================================================================



// ==================================================================
#endif // _TYPES_AND_CONSTANTS_HH
// ==================================================================
